xen (2001:4.8.5-37+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 20 Jan 2022 02:17:28 +0100

xen (2001:4.8.5-37) unstable; urgency=medium

  * Apply XSA-395

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 20 Jan 2022 02:17:28 +0100

xen (2001:4.8.5-36) unstable; urgency=medium

  * Backport a patch prerequisite for XSA-388
  * spec: shift patch number
  * Apply XSA-388, XSA-389 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 23 Nov 2021 15:02:18 +0100

xen (2001:4.8.5-35) unstable; urgency=medium

  * Commit unmodified Xen 4.11 patches for XSA-378, XSA-379
  * Adjust security fixes for Xen 4.8 and actually apply them
  * Disable grant tables v2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 25 Aug 2021 14:13:17 +0200

xen (2001:4.8.5-34) unstable; urgency=medium

  * Disable virtfs explicitly
  * Apply XSAs patches: 373, 375, 377

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 Jun 2021 21:04:35 +0200

xen (2001:4.8.5-33) unstable; urgency=medium

  * Add centos-stream to the makefile

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Jun 2021 05:56:57 +0200

xen (2001:4.8.5-32) wheezy; urgency=medium

  * More GCC11 fixes
  * Include Fedora in gitlab-ci too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 May 2021 00:02:36 +0200

xen (2001:4.8.5-31) wheezy; urgency=medium

  * Backport patches fixing the build with GCC 11
  * archlinux: drop python2-lxml dep

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 14 May 2021 12:20:03 +0200

xen (2001:4.8.5-30) unstable; urgency=medium

  * Apply XSA-366 patch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Feb 2021 14:58:13 +0100

xen (2001:4.8.5-29) unstable; urgency=medium

  * Fix patch-xen-gcc10-fixes.patch context, apply recent patches to deb
    too
  * Add .gitlab-ci.yml
  * debian: update compat version to 10
  * archlinux: use autoreconf --install
  * gitlab-ci: use separate exclude install list for dom0 and vm
  * Cleanup parent xenstore dir after device remove

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Jan 2021 07:09:25 +0100

xen (2001:4.8.5-28) unstable; urgency=medium

  * Backport a set of xenstore fixes
  * Apply XSA-115 and XSA-325 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 15 Dec 2020 13:11:42 +0100

xen (2001:4.8.5-27) unstable; urgency=medium

  * Apply XSA-355 patch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 24 Nov 2020 13:08:11 +0100

xen (2001:4.8.5-26) unstable; urgency=medium

  * Apply XSA-351 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Nov 2020 04:15:55 +0100

xen (2001:4.8.5-25) unstable; urgency=medium

  * Apply XSA-345, XSA-346, XSA-347

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 20 Oct 2020 01:37:59 +0200

xen (2001:4.8.5-24) unstable; urgency=medium

  * debian: force python2
  * travis: update
  * rpm: add missing epoch to xen-qemu-tools dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Oct 2020 06:22:59 +0200

xen (2001:4.8.5-23) wheezy; urgency=medium

  * Apply XSA-337, XSA-340, XSA-343

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 22 Sep 2020 02:56:19 +0200

xen (2001:4.8.5-22) unstable; urgency=medium

  * Fix startup PVH domain with xl
  * Include GCC 10 build fixes in debian and arch too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Aug 2020 23:48:43 +0200

xen (2001:4.8.5-21) unstable; urgency=medium

  * Backport xenstored fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Aug 2020 11:12:47 +0200

xen (2001:4.8.5-20) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * Park unused CPU threads after suspend-to-RAM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Aug 2020 14:41:09 +0200

xen (2001:4.8.5-19) unstable; urgency=medium

  * Apply XSA-321 and its dependencies

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Jul 2020 14:50:46 +0200

xen (2001:4.8.5-18) unstable; urgency=medium

  * Apply TSX related fixes for Haswell/Broadwell CPUs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 28 May 2020 16:17:47 +0200

xen (2001:4.8.5-17) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * libxl: Enable debug_symbols
  * libxl: Resolve device disconnection bugs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 May 2020 03:43:00 +0200

xen (2001:4.8.5-16) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add gcc-10 fixes and disable vtm build for stubdom
  * Fix gcc-10: remove -Wno-error=format-truncation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 22 Apr 2020 05:54:24 +0200

xen (2001:4.8.5-15) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Disable commonly broken EFI GetTime() call
  * Support also allow_interrupt_control sysfs entry, in addition to
    allow_msi_enable

  [ Paweł Marczewski ]
  * libxl: wait for console path before firing console_available
  * libxl: fix cleanup bug in initiate_domain_create()

  [ Frédéric Pierret (fepitre) ]
  * Currently disable building EFI for CentOS 7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 09 Apr 2020 03:10:48 +0200

xen (2001:4.8.5-14) unstable; urgency=medium

  * Apply XSA-310, XSA-311

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Dec 2019 13:23:37 +0100

xen (2001:4.8.5-13) unstable; urgency=medium

  * travis: switch to bionic, drop jessie build
  * Apply XSA-306 fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Nov 2019 15:13:03 +0100

xen (2001:4.8.5-12) wheezy; urgency=medium

  * Apply XSA-293 as a contextual dependency for XSA-305
  * Apply XSA-305 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Nov 2019 15:34:23 +0100

xen (2001:4.8.5-11) unstable; urgency=medium

  * Apply XSA-299, XSA-302, and XSA-290, XSA-291 as prerequisites

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 31 Oct 2019 13:02:42 +0100

xen (2001:4.8.5-10) wheezy; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: remove old constraint and fix qemu-img provided by xen
  * spec: disable blktap2
  * spec: don't fail on missing build-ids
  * travis: add Fedora 31

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Sep 2019 21:35:02 +0200

xen (2001:4.8.5-9) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: add bullseye and drop old Fedoras

  [ Frédéric Pierret (fepitre) ]
  * spec: drop systemd_postun

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 08 Sep 2019 16:29:59 +0200

xen (2001:4.8.5-8) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix -Wsign-compare warning

  [ Yukikoo ]
  * Add GCC patch to fix archlinux template building

  [ Ivan Kardykov ]
  * add patch from OpenXT to additional support in ACPI builder to apply
    SLIC and OEM installs

  [ Frédéric Pierret (fepitre) ]
  * Fix build for bullseye

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Sep 2019 13:43:45 +0200

xen (2001:4.8.5-7) unstable; urgency=medium

  * Apply fixes for framebuffer placed over 4GB

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 28 Jun 2019 15:02:44 +0200

xen (2001:4.8.5-6) unstable; urgency=medium

  * Apply XSA-297 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 15 May 2019 01:08:52 +0200

xen (2001:4.8.5-5) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * rpm: Be consistent with EFI binary name

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 24 Mar 2019 01:03:06 +0100

xen (2001:4.8.5-4) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix detecting PVH kernels
  * rpm: export the same env variable during build and install

  [ Frédéric Pierret (fepitre) ]
  * Fix GCC9 warnings based on Fedora upstream patch
  * Fix errors on ambiguous python shebangs

  [ Marek Marczykowski-Górecki ]
  * travis: add fc30
  * More fixes for build under gcc 9
  * Adjust python path for scripts with #!/usr/bin/python too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 22 Mar 2019 18:42:26 +0100

xen (2001:4.8.5-3) wheezy; urgency=medium

  * Apply XSA-284, XSA-285, XSA-287, XSA-288, XSA-292

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Mar 2019 13:02:51 +0100

xen (2001:4.8.5-2) unstable; urgency=medium

  * debian: load only pvops xen modules
  * rpm: do not load xen-acpi-processor with systemd-modules-load
  * By default forbid terminal control sequences on xl console output

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Feb 2019 12:33:25 +0100

xen (2001:4.8.5-1) --release; urgency=medium

  * debian: fixes for reproducible source package
  * debian: fix Build-Depends - dh-python2 is not included in python2.7-
    minimal
  * rpm: add BR: glibc-devel
  * travis: switch to xenial

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 10 Jan 2019 01:52:56 +0100

xen (2001:4.8.4-8) unstable; urgency=medium

  * Backport AMD IOMMU driver support for IOAPIC IDs larger than 128

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 28 Nov 2018 03:10:24 +0100

xen (2001:4.8.4-7) unstable; urgency=medium

  * Apply XSA-275

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 20 Nov 2018 12:49:12 +0100

xen (2001:4.8.4-6) unstable; urgency=medium

  * debian: compile fix for jessie
  * debian: reuse upstream orig tarball
  * Simplify hotplug locking mechanism, drop perl dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 31 Oct 2018 02:38:20 +0100

xen (2001:4.8.4-5) unstable; urgency=medium

  * debian: make packages linked with new libxen-4.8 depdend on specific
    version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 18:34:38 +0200

xen (2001:4.8.4-4) unstable; urgency=medium

  * rpm: set PYTHON=python2
  * debian: fix changelog
  * debian: rework packaging to match Debian libxen-4.8 package
  * debian: package remaining files
  * debian: fix changelog
  * debian: use dh-systemd instead of manual systemctl call

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Oct 2018 14:09:33 +0200

xen (2001:4.8.4-3) unstable; urgency=medium

  [ fepitre ]
  * Replace deprecated vwprintw function
  * Update travis for fc29
  * Update from python to python2
  * python3: better use python3_pkgversion rpm macro
  * Switch to python2-lxml for Fedora 29

  [ alcreator ]
  * Change emulated qemu usb controller to ehci and remove ifup/ifdown
    scripts

  [ Marek Marczykowski-Górecki ]
  * rpm: bump xen-hvm-stubdom-linux version requirement
  * travis: allow failures for archlinux build
  * Backport xenstore xs_watch() thread stack size fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 02 Oct 2018 03:58:00 +0200

xen (2001:4.8.4-2) unstable; urgency=medium

  [ unman ]
  * Allow build for artful in 4.0
  * Removed wheezy and trusty builds, consolidated Build-Depends
  * Fix typo in Debian Build-Depends

  [ Simon Gaiser ]
  * Update to staging-4.8 to get fixes for XSA-273
  * Disable SMT by default

  [ Marek Marczykowski-Górecki ]
  * Do not advance version to 4.8.5-pre

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 01 Sep 2018 16:04:40 +0200

xen (2001:4.8.4-1) --release; urgency=medium

  * travis: Add Archlinux build
  * version 4.8.4-1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 16 Jul 2018 16:27:26 +0200

xen (2001:4.8.3-9) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Fix %if for CentOS

  [ Marek Marczykowski-Górecki ]
  * Apply XSA-267 patches
  * Update context of XSA-267 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Jun 2018 23:25:21 +0200

xen (2001:4.8.3-8) unstable; urgency=medium

  * Add/update prerequisites for XSA 263
  * Apply XSA 263 patches
  * travis: add Fedora 28 and Cent OS 7
  * Fix build on Debian buster

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 May 2018 16:20:18 +0200

xen (2001:4.8.3-7) wheezy; urgency=medium

  * Apply XSA 260-262
  * Fix context in XSA 260 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 May 2018 23:23:59 +0200

xen (2001:4.8.3-6) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Handle sources archives for submodules/subfolders which are needed
    for Mock build.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 May 2018 13:05:09 +0200

xen (2001:4.8.3-5) unstable; urgency=medium

  [ Frédéric Pierret ]
  * add NO_ARCHIVE
  * Create spec.in
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * Apply gcc-8 fixes
  * Update core-vchan-xen submodule
  * travis: add fc27
  * rpm: require patched gcc only for dom0 build
  * rpm: typo fix

  [ Simon Gaiser ]
  * Add spec_ctrl patches from staging
  * Fix resume when using microcode update

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 Apr 2018 15:58:47 +0200

xen (2001:4.8.3-4) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Revert "Workaround for missing updated libgcc.i686"

  [ Simon Gaiser ]
  * Add upstream patches for improved early microcode loading

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 02:37:22 +0100

xen (2001:4.8.3-3) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Use %autosetup and prepare spec file for src.rpm

  [ Arjan Schrijver ]
  * Fix patches path to make Arch Linux PKGBUILD work again

  [ Marek Marczykowski-Górecki ]
  * travis: drop fc24 and fc25 VM test builds, enable testing repos

  [ Simon Gaiser ]
  * Add BTI mitigation patches from XSA 254
  * Adapt BTI patches to apply cleanly
  * Require gcc with BTI mitigation support

  [ Marek Marczykowski-Górecki ]
  * Workaround for missing updated libgcc.i686

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Mar 2018 16:46:02 +0100

xen (2001:4.8.3-2) unstable; urgency=medium

  * libxl: workaround for backend domain shutdown without detaching
    device
  * libxl: init guest_evtchn and other structures for domain suspend

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 30 Jan 2018 01:24:03 +0100

xen (2001:4.8.3-1) unstable; urgency=medium

  [ Simon Gaiser ]
  * Add upstream backports for PVH

  [ Marek Marczykowski-Górecki ]
  * rpm: conflict with too old libvirt
  * travis: build also for buster
  * Fix debian-quilt handling empty lines
  * Do not patch .gitignore
  * Fix one libxl patch
  * Sync series-debian-vm.conf with series.conf

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 26 Jan 2018 20:53:40 +0100

xen (2001:4.8.2-12) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Allow setting DISTFILES_MIRROR in the builder.conf

  [ Simon Gaiser ]
  * Backport elfloader fix to detect non PVH capable kernels
  * Improve elfloader patch to error out immediately

  [ Marek Marczykowski-Górecki ]
  * Add "stage 1" PTI patches against Meltdown

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 25 Jan 2018 20:55:18 +0100

xen (2001:4.8.2-11) wheezy; urgency=medium

  [ Frédéric Pierret ]
  * Fix '%files hypervisor' list: files in /usr/lib/debug are not just
    in efi builds

  [ Nedyalko Andreev ]
  * Remove obsolete patches and fix the arch PKGBUILD script

  [ Marek Marczykowski-Górecki ]
  * Apply XSA-246 and XSA-247 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Nov 2017 12:59:34 +0100

xen (2001:4.8.2-10) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix logrotate configuration

  [ HW42 ]
  * stubdom-linux: Pass cmdline to stubdom via xenstore
  * xenstore-client: Add option for raw in-/output

  [ Marek Marczykowski-Górecki ]
  * rpm: force upgrading together with xen-hvm-stubdom-linux
  * rpm: restart libvirtd to reload libxl library

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 05 Nov 2017 02:06:11 +0100

xen (2001:4.8.2-9) wheezy; urgency=medium

  * Apply XSA 236 patch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 24 Oct 2017 16:48:41 +0200

xen (2001:4.8.2-8) unstable; urgency=medium

  * Do not skip default block script for non-dom0 devices

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Oct 2017 10:43:10 +0200

xen (2001:4.8.2-7) unstable; urgency=medium

  [ HW42 ]
  * stubdom: grant stubdom access to msi irq
  * stubdom: set 'allow_msi_enable' for stubdoms
  * stubdom-minios: re-add MSI capabilities in pci config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Oct 2017 00:52:46 +0200

xen (2001:4.8.2-6) unstable; urgency=medium

  * Apply XSA 237-244 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 12 Oct 2017 12:50:16 +0200

xen (2001:4.8.2-5) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: add dependency tag for buster

  [ Frédéric Pierret ]
  * Fix CentOS dependencies: python3
  * Fix CentOS dependencies: OVMF

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 29 Sep 2017 22:48:20 +0200

xen (2001:4.8.2-4) unstable; urgency=medium

  [ Frederic Pierret (Epitre) ]
  * Fix GCC7 warnings/errors

  [ Marek Marczykowski-Górecki ]
  * Apply XSA 231-234 patches
  * version 4.8.2-2
  * travis: build for fc26
  * Restore in-libxl handling trivial cases for block backend

  [ HW42 ]
  * stubdom-linux: Use mptsas1068 scsi controller
  * hvm: Use our SeaBIOS build

  [ Marek Marczykowski-Górecki ]
  * Fix gcc 7 compile warning

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Sep 2017 03:06:13 +0200

xen (2001:4.8.2-3) unstable; urgency=medium

  * Load xen-privcmd module at boot

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2017 15:46:18 +0200

xen (2001:4.8.2-2) unstable; urgency=medium

  * Apply XSA 231-234 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 12 Sep 2017 04:44:26 +0200

xen (2001:4.8.2-1) unstable; urgency=medium

  * libxl: make it possible to start HVM with linux-based stubdom and
    cdrom
  * libxl: always use qemu format=host_device for devices hosted by
    stubdomain
  * Drop patches already applied in 4.8.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 10 Sep 2017 22:55:47 +0200

xen (2001:4.8.1-5) unstable; urgency=medium

  [ Rusty Bird ]
  * Hypervisor patch "VT-d: don't panic/warn on iommu=no-igfx"

  [ Marek Marczykowski-Górecki ]
  * Apply XSA 226-230 patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 13 Aug 2017 20:35:56 +0200

xen (2001:4.8.1-4) unstable; urgency=medium

  [ unman ]
  * Enable build for Zesty

  [ HW42 ]
  * stubdom-linux, libxl: disable check for dom0 qemu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Jul 2017 16:33:31 +0200

xen (2001:4.8.1-3) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Make sure xen config is really applied

  [ HW42 ]
  * stubdom-linux: rework pci add/remove handling
  * stubdom-linux: pause stubdom when suspending a domain
  * enable OVMF support
  * stubdom-linux: don't check for qemu in dom0 when hotplugging nics

  [ Marek Marczykowski-Górecki ]
  * Apply XSA216-224
  * libxl: add more cpuid flags handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 02 Jul 2017 15:32:31 +0200

xen (2001:4.8.1-2) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Drop unneeded patches from series-vm.conf

  [ unman ]
  * Fix Depends for trusty build

  [ HW42 ]
  * stubdom-linux: import Eric's/Anthony's patches 4..6
  * stubdom-linux: rebase patches ontop of xen-4.6.1 + qubes patches
  * stubdom-linux: libxl changes require a soname bump
  * stubdom-linux: stubdom qemu has no vnc support
  * stubdom-linux: make device resume a no-op for now
  * stubdom-img: use more consitent names for rootfs/kernel
  * stubdom-linux: use initramfs
  * stubdom-linux: fix QEMU disk args
  * stubdom-linux: fix QEMU args for cdroms
  * stubdom-linux: hide read-only disk from QEMU
  * stubdom-linux: pass downscript to QEMU
  * stubdom-linux: disable qmp call in pci add
  * stubdom-linux: handle PCI passthrough
  * stubdom-linux: add libxl option for QEMU qubes-gui
  * stubdom-linux: add extra memory for the requested video mem
  * stubdom-linux: add libxl option for stubdom memory size
  * stubdom-linux: disable QEMU stop via qmp when suspending
  * stubdom-linux: merge fixes into original linux-stubdom patches
  * stubdom-linux: pass-through all disks as scsi disks
  * stubdom-linux: don't initialize qmp
  * stubdom-linux: port stubdom patches to Xen 4.8.0

  [ Marek Marczykowski-Górecki ]
  * Apply XSA-213, XSA-214, XSA-215
  * Update URL to Xen releases

  [ Olivier MEDOC ]
  * libxl: Fix compilation Warnings causing build failure when building
    with glibc-2.25

  [ Marek Marczykowski-Górecki ]
  * version 4.8.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 May 2017 03:11:50 +0200

xen (2001:4.8.0-2) unstable; urgency=medium

  * debian: fix dependencies for libxen-dev
  * debian: add missing libxenvchan.h to libxen-dev
  * debian: remove duplicated libxenstore3.0.so
  * Update /boot/efi/EFI/qubes/xen.efi on install/update
  * Really update /boot/efi/EFI/qubes/xen.efi
  * Stubdom fixes for PCI passthrough
  * Update gui-agent in stubdomain
  * travis: drop debootstrap workaround
  * Apply XSA 195 patch
  * version 4.7.1-2
  * version 4.8.0-1
  * Add python3 bindings
  * debian: update libxengnttab soname
  * debian: fix packaging for 4.8
  * travis: update for Qubes 4.0 build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 02 Apr 2017 19:29:21 +0200

xen (2001:4.7.0-2) wheezy; urgency=medium

  [ WetwareLabs ]
  * Update Xen version. Temporarily download from original sources
    (Qubes does not host Xen 4.7.0). Fix gmp DL path.
  * Batch of straightforward updates to patch files without any actual
    code modification.
  * Batch of straightforward updates to patch files without any actual
    code modification (#2)
  * Ported 'Implement gntshr for minios -patch' to Xen 4.7.0
  * Ported 'libxl: do not assume dom0 backend while listing disks' patch
    to Xen 4.7.0. Most of the code removed, because functionality
    already exists.
  * Ported 'Libxl suspend' patch to Xen 4.7.0
  * Ported 'LibXL: Remove with driver domain ...' patch to Xen 4.7.0
  * Ported 'LibXL: qubes minimal stubdom' patch to Xen 4.7.0
  * Ported 'LibXL: error write perm' patch to Xen 4.7.0
  * Ported 'Use fedora ipxe' patch to Xen 4.7.0
  * Batch of straightforward updates to patch files without any actual
    code modification (part 3)
  * Port 2 patches to Xen 4.7.0 (Use new gntshr functions names)
  * This patch fixes the "<command-line>:0:0: error: "__OBJECT_FILE__"
    redefined [-Werror]" error when compiling Xen 4.7.0 on Fedora 23.
  * Xen 4.7.0 tools needs 'nettle-devel'
  * qemu-tools: remove "target-x86_64.conf" (not built anymore)
  * Ported 'Add EFI noexit...' patch to Xen 4.7.0
  * - Change version to 4.7.0 - Add new files to packages - FLASK/XSM
    files are created automatically, so delete them if not used
  * Fix 'xen stubdom gui' patch: vchan needs extra include dirs
  * Remove patches that are already in Xen 4.7.0
  * Fix "There are undefined symbols in the BIOS: U
    _GLOBAL_OFFSET_TABLE_" when compiling for vm (Fedora 23)
  * Update XSA182 patch to Xen 4.7 version Remove XSA154 patch (already
    in Xen 4.7.0) Remove patch "0001-libxc-prefer-using-privcmd..."
    (already in Xen 4.7.0)

  [ Marek Marczykowski-Górecki ]
  * Sync other series-*.conf files
  * Port xen-tools-qubes-vm.patch to Xen 4.7
  * Restore using distfiles mirror
  * Build hypervisor with custom config
  * Update vchan submodule to xen-4.7 compatible version
  * Update nics listing fix
  * Remove patches not referenced anywhere
  * Drop some more unused patches
  * debian: reorganize libraries packaging for Xen 4.7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 27 Oct 2016 03:58:58 +0200

xen (2001:4.6.3-21) wheezy; urgency=medium

  * Update to Xen 4.6.3
  * Add security fixes released after Xen 4.6.3
  * Backport few more bugfixes
  * Add patches fixing PCI passthrouth for HVM domains

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Oct 2016 15:58:04 +0200

xen (2001:4.6.1-20) wheezy; urgency=medium

  * Do not require /proc/xen being mounted for vchan
  * Drop unnecessary dependencies from xendriverdomain.service
  * Apply XSA 154 and XSA 182 patch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Jul 2016 13:13:11 +0200

xen (2001:4.6.1-19) wheezy; urgency=medium

  [ Rusty Bird ]
  * Run autoreconf in Debian and Arch, too

  [ Marek Marczykowski-Górecki ]
  * rpm: unconditionally preset xendriverdomain.service
  * Update patch for "libxl: trigger attach events for devices ..."

  [ Rusty Bird ]
  * Fix attaching block devices from fedora-23-minimal
  * Fix QubesDB updates when attaching partitions

  [ Marek Marczykowski-Górecki ]
  * rpm: unconditionally enable xendriverdomain.service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 01:40:27 +0200

xen (2001:4.6.1-18) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * vm: trigger devd to initialize devices connected before its startup

  [ Rusty Bird ]
  * Backport Xen build fix for systemd >= 209
  * Add and use native xendriverdomain.service
  * Remove SysV init and systemd < Fedora 20
  * Remove *.md5sum and old tpm_emulator-0.5.1.tar.gz.sha1sum
  * Remove leftover Xen < 4.6 files

  [ Marek Marczykowski-Górecki ]
  * Revert "vm: trigger devd to initialize devices connected before its
    startup"
  * libxl: trigger attach events for devices attached before xl devd
    startup

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Jul 2016 04:43:32 +0200

xen (2001:4.6.1-17) wheezy; urgency=medium

  * efi: add xen.cfg options for /mapbs and /noexitboot
  * debian: sort Build-Depends
  * debian: add missing Build-Depends: libpixman-1-dev

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 06 Jun 2016 01:06:07 +0200

xen (2001:4.6.1-16) wheezy; urgency=medium

  [ Rusty Bird ]
  * Never give unverified tarballs their final filename

  [ Jon Griffiths ]
  * Simplify file lists and Use proper make dependencies for verify-
    sources
  * Remove check for a variable we know is set
  * Remove duplication in update-repo- targets
  * Further update-repo simplification
  * Simplify update-repo-installer target
  * Fix whitespace
  * Directly use the RPM variable names
  * Use RPMBUILD as the rpmbuild variable
  * Don't fail if rpmbuild clean fails
  * Remove editor filetype cruft
  * Remove unneeded shell function
  * Fix clean-sources to clean all sources
  * Add a comment on URLS per review

  [ Marek Marczykowski-Górecki ]
  * debian: make build-depends more flexible
  * travis: enable stretch test build
  * Revert "Enable e820_host when domain has a PCI device"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Jun 2016 14:08:35 +0200

xen (2001:4.6.1-15) wheezy; urgency=medium

  * Enable e820_host when domain has a PCI device
  * Compile fix on Fedora 24
  * Disable spice support in qemu
  * Add a comment about verify-sources target
  * travis: enable fc24 builds

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 25 May 2016 03:23:38 +0200

xen (2001:4.6.1-14) wheezy; urgency=medium

  * hotplug: trigger udev event when attaching/detaching a block device
  * Override kernel modules list
  * Fix source verification
  * travis: allow build failure on fc23 VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 May 2016 02:27:09 +0200

xen (2001:4.6.1-13) wheezy; urgency=medium

  * Add .travis.yml

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 May 2016 02:20:22 +0200

xen (2001:4.6.0-13) wheezy; urgency=medium

  * Add EFI workaround patches

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 11 Feb 2016 04:05:59 +0100

xen (2001:4.6.0-12) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Sync series-vm.conf and series-debian-vm.conf with series.conf

  [ noname ]
  * create symlink for all patches.*

  [ Marek Marczykowski-Górecki ]
  * archlinux: update ./configure call

  [ noname ]
  * archlinux: move directory only if exists
  * missing mv
  * archlinux: xen 4.6 build requires pixman.
  * archlinux: configured xen to use /usr/bin instead of /usr/sbin
  * archlinux: moving /var/run to /run is not necessary. /var/run is not
    created.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Jan 2016 06:12:11 +0100

xen (2001:4.6.0-11) wheezy; urgency=medium

  * Apply XSA-155, XSA-165, XSA-166

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 17 Dec 2015 08:42:19 +0100

xen (2001:4.6.0-10) wheezy; urgency=medium

  * stubdom: revert commit breaking netfront driver in stubdomain

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 Dec 2015 00:21:40 +0100

xen (2001:4.6.0-9) wheezy; urgency=medium

  * rpm: add missing build requirements

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 29 Nov 2015 09:20:48 +0100

xen (2001:4.6.0-8) wheezy; urgency=medium

  * Convert hacky copy-in stage into git submodules
  * merge back xen-vm.spec into xen.spec
  * Fix hotplug block remove script - do not error on physical device
  * Improve EFI diagnostics and add optional workarounds for buggy
    firmware
  * version 4.4.3-7
  * version 4.6.0
  * debian: sync series-debian-vm.conf with series-vm.conf
  * remove uneeded workaround for hotplug race condition
  * Remove unused patches
  * Enable logging in xenconsoled in systemd service
  * Update vchan-xen submodule
  * Fix and enable xendriverdomain service in xen-qubes-vm package
  * Fix build requirements
  * debian: update packaging for Xen 4.6
  * debian: prevent simultaneus installation of libxen-4.4 and libxen-
    4.6
  * Correctly remove loop devices (fix xen-hotplug-external-store.patch
    for Xen 4.6)
  * Update xen-tools-qubes-vm.patch for Xen 4.6
  * Apply XSA-148 patch
  * Restore VM udev script fix
  * Apply XSA 149-153
  * Compile fix for qemu-traditional with newer gnutls
  * rpm: Use %fedora macro instead of %dist for version check
  * rpm: escape macros in comments
  * Disable smartcard support in qemu
  * Ensure python path is detected as /usr/bin/python, not /bin/python
  * Apply GCC 5 build fix from Fedora 24 package.

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 14:41:50 +0100

xen (2001:4.4.2-7) wheezy; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: update PKGBUILD dependencies to match fedora ones

  [ Jason Mehring ]
  * Initial implementation of Debian stretch

  [ Marek Marczykowski-Górecki ]
  * hotplug: Fix handling block backend paths with spaces

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Sep 2015 01:10:33 +0200

xen (2001:4.4.2-6) wheezy; urgency=medium

  [ Olivier MEDOC ]
  * Use fedora patching script instead of specifiying each patch one by
    one
  * archlinux: Change /var/run to /run as it is handled as a symlink by
    archlinux filesystem package

  [ Marek Marczykowski-Górecki ]
  * Add xen-qemu-tools package, which provide qemu-* tools in /usr/bin
  * Fix compile warning
  * Migrate out of sf.net with distfiles mirror
  * Increase stubdom memory allocation based on video ram size

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 23 Jul 2015 21:56:12 +0200

xen (2001:4.4.2-5) wheezy; urgency=medium

  * debian: symlink 'rel' for debian-changelog.sh
  * Use modules-load.d instead of sysconfig/modules, do not mount
    /proc/xen manually

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 04 May 2015 02:43:02 +0200

xen (2001:4.4.2-4) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Use "gpgv" to verify source archive signatures
  * Remove old, compromised kernel.org key
  * Update patches disabling qemu in dom0

  [ Jason Mehring ]
  * debian: Update changelog

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 23 Apr 2015 05:13:59 +0200

xen (2001:4.4.2-3) wheezy; urgency=medium

  * version 4.4.2-3
  * Fix handling block backend for file-backed disks

 -- Jason Mehring <nrgaway@gmail.com>  Sat, 04 Apr 2015 00:00:00 -0400

xen (2001:4.4.2-2) wheezy; urgency=medium
  * version 4.4.2-2
  * archlinux: update patch list

 -- Jason Mehring <nrgaway@gmail.com>  Wed, 01 Apr 2015 00:00:00 -0400

xen (2001:4.4.2-1) wheezy; urgency=medium
  * version 4.4.2-1
  * Change EFI vendor name to 'qubes'
  * Do not use broken xenstore kernel interface
  * Added Obsoletes: xen-devel < 2001:4.1.2-25 to
    xen-dev package details to prevent newer versions conflicts (4.5.0-2.fc22)
  * debian: Removed verbose flag from tar when creating and extracting quilt
    packages
  * Remove already applied part of libxc patch
  * Backport a memleak fix in libxenvchan code
  * libxl: fix crash (use after free) in HVM domain start path
  * debian: Add missing build depend: dh-python
  * debian: Modify Makefile.builder to tar and .orig file
    for debian quilt so recently added version link will be included in
    build
  * debian: Linked to version in root directory to enable
    debchange to determine real vesion within the nested debian-vm
    folder
  * debian: qubuntu: Updated depends for qubuntu
  * debian: wheezy: Needed to seperate some of the depends due to package
    naming differences
  * debian: Refactored Debian packaging again to use xen namespace with
    high epoc
  * debian: Modified copy-in for patches
    not to fail if no patch script exists to allow removing patches in
    future
  * debian:  Added deb to .gitignore list
  * debian:  Combined ifeq check in Makefile.builder to logical 'OR' test
    for debian/qubuntu
  * libxl: update loop dev info
  * libxl: implement VM suspend to mem (not only to disk)
  * Refactor Debian quilt packaging for xen
  * debian:  Added a quilt Debain package to build some required xen packages
  * Add some missing depends so vmm-xen-vm can compile

 -- Jason Mehring <nrgaway@gmail.com>  Thu, 26 Mar 2015 00:00:00 -0400

xen (2001:4.4.1-6) unstable; urgency=low

  * Initial version.

 -- Jason Mehring <nrgaway@gmail.com>  Sun, 08 Feb 2015 21:32:08 +0000
